@import url('https://fonts.googleapis.com/css2?family=Hammersmith+One&display=swap');
/* Resetando todos os estilos padrão */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

html, body {
  width: 100%;
  height: 100%;
  overflow-x: hidden; /* Impede rolagem horizontal */
}

.main {
    background-color: #f3f1e5;
}

/* Estilos para o tema escuro */
html[data-theme="dark"] p {
    color: #ffffff;  /* Cor do texto para o tema escuro */
  } 
  html[data-theme="dark"] .main {
    background-color: #000;
}

html[data-theme="dark"] .row {
    background-color: #000;  /* Cor do texto para o tema escuro */
  }

  .imgBanner {
    text-align: center; /* Centraliza o conteúdo do banner */
    background-color: #f3f1e5; /* Cor de fundo */
    padding: 0rem; /* Adiciona padding superior e inferior */
    margin: 0;
    display:fit-content;
}


/* Estilo do banner de herói, que é a área de destaque na página */
.Banner {
    text-align: center; /* Centraliza o conteúdo do banner */
    background-color:   #c6413e; /* Cor de fundo */
    padding: 0; /* Adiciona padding superior e inferior */
    margin: 0;
    position: inline-block;; /* Define a posição como relativa para uso de elementos flutuantes */
    overflow: hidden; /* Garante que nada ultrapasse os limites do banner */
    display: flex; /* Usado para alinhamento flexível */
    justify-content: center; /* Centraliza horizontalmente */
    align-items: center; /* Centraliza verticalmente */
    width: 100%; /* Largura total */
    box-sizing: border-box;
}


/* Menu- Estilo para lista de navegação */
.ulLista {
    background-color: #892f2d; /* Cor de fundo */
    list-style-type: none; /* Remove os pontos de lista padrão */
    display: flex; /* Layout flex */
    justify-content: center; /* Centraliza horizontalmente */
    margin: 0; /* Remove margens */
    padding: 0; /* Remove padding */
    overflow: hidden; /* Impede que o conteúdo ultrapasse o limite */
    word-spacing: 2rem; /* Espaçamento entre as palavras */
    float: center; /* Alinha ao centro */
}

.liLista {
    float: left; /* Alinha os itens à esquerda */
    cursor: pointer; /* Aplica o cursor de mão */
    
}

.liLista a {
    display: block; /* Exibe como bloco */
    padding: 8px; /* Padding interno */
    background-color: #892f2d; /* Cor de fundo */
    color: #f3f1e5; /* Cor do texto */
    font-weight: 400; /* Peso da fonte */
    font-family: 'Inter', sans-serif; /* Fonte personalizada */
    font-size: 1.5rem; /* Tamanho da fonte */
}

.liLista a:hover {
    background-color: #f3f1e5; /* Altera a cor de fundo ao passar o mouse */
    color: #c6413e; /* Altera a cor do texto ao passar o mouse */
}


/* Ajustes no logo */
.LogoGepdai img {
    display: block; /* Remove espaços extras ao redor da imagem */
    margin: 0 auto; /* Centraliza horizontalmente */
    width: 100%; /* Garante que não ultrapasse o contêiner */
    max-width: 680px; /* Define um tamanho máximo para a largura */
    height: auto; /* Mantém a proporção da imagem */
}

/* Estilo do menu */
.Menu {
    border-top: 2px solid #fff; /* Borda superior */
    float: center; /* Alinha o conteúdo ao centro */
    align-content: center; /* Alinha o conteúdo ao centro */
    width: 100%; /* Largura total */
    box-sizing: border-box; /* Contabiliza padding e bordas */
    object-fit: contain; /* Mantém a proporção do conteúdo */
    background-color:#f3f1e5;
}

/* Estilo dos ícones de redes sociais no banner */
.socialIcons {
    display: flex;
    position: absolute; /* Fixa a posição dos ícones */
    bottom: 350px; /* Alinha os ícones na parte inferior */
    right: 20px; /* Alinha os ícones à direita */
}

.socialIcons a {
    margin-left: 10px; /* Espaçamento entre os ícones */
    font-size: 24px; /* Tamanho da fonte dos ícones */
    color:  #f3f1e5; /* Corpara os ícones */
}

.socialIcons a:hover {
    color: #17200f; /* Cor quando o ícone é clicado */
}



/* Estilos das linhas dentro do container */
.row {
    display: flex; /* Layout flex */
    flex-wrap: wrap; /* Permite que os itens quebrem de linha */
    width: 100%; /* Largura total */
    margin: 0; /* Sem margem */
    padding: 0; /* Sem padding */
}

/* Estilos de títulos gerais */
.tituloGeral {
    color: #892f2d; /* Cor verde para os títulos */
    text-align: center; /* Centraliza o texto */
    margin-top: 15px; /* Margem superior */
    margin-bottom: 15px; /* Margem inferior */
    font-family: 'Inter', sans-serif; /* Fonte personalizada */
}

.h1Geral {
    composes: tituloGeral; /* Herda as propriedades do .tituloGeral */
    font-size: 2.7vw; /* Tamanho de fonte responsivo */
}

.h2Geral {
    composes: tituloGeral; /* Herda as propriedades do .tituloGeral */
    font-size: 1.9rem; /* Tamanho de fonte */
}

.h3Geral {
    composes: tituloGeral; /* Herda as propriedades do .tituloGeral */
    font-size: 1.2rem; /* Tamanho de fonte */
}

/* Estilo dos parágrafos gerais */
.p1Geral {
    color: #17200f; /* Cor do texto */
    font-family: 'Inter', sans-serif; /* Fonte personalizada */
    font-size: 1.5rem; /* Tamanho da fonte */
    text-align: center; /* Alinha o texto ao centro */
    padding: 0.2rem; /* Padding interno */
}

/* Estilo das imagens dentro dos parágrafos */
.img{
    width: 200px; /* Largura fixa */
}
.p1Geral img {
    width: 100%; /* Largura total */
    height: auto; /* Mantém a proporção da imagem */
}

.saibaMais{
    background-color: #c6413e;
}


/* Ajustes para telas menores (em ordem decrescente) */

/* Telas menores que 965px */
@media (max-width: 996px) {
    .LogoGepdai img {
        max-width: 60%;
        margin-top: -80px;
        margin-bottom: -30px;
    }
    .h1Geral {
        composes: tituloGeral; /* Herda as propriedades do .tituloGeral */
        font-size: 2.2rem; /* Tamanho de fonte responsivo */
    }
    .socialIcons {
        display: flex;
        position: absolute; /* Fixa a posição dos ícones */
        bottom: 540px; /* Alinha os ícones na parte inferior */
        right: 20px; /* Alinha os ícones à direita */
    }
}

/* Telas menores que 710px */
@media (max-width: 700px) {
    .LogoGepdai img {
        max-width: 60%;
        margin-top: -50px;
        margin-bottom: -45px;
    }
}

/* Telas menores que 485px */
@media (max-width: 548px) {
    .LogoGepdai img {
        margin-top: -20px;
        margin-bottom: -15px;
    }
    .liLista a {
        font-size: 0.6rem;
    }
    
}


/* Telas menores que 323px */
@media (max-width: 459px) {
    .LogoGepdai img {
        margin-top: -20px;
        margin-bottom: -15px;
    }
}


